coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract/listv1

(Common) Query contract list

# 01

Summary

Available buyer market: Korea An API to query the list of all the current contracts. Both non_contract_based and contract_based type contracts can be searched.

# 02

Details

Available buyer market: Korea
An API to query the list of all the current contracts. Both non_contract_based and contract_based type contracts can be searched.
 

Path

GET

/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract/list

Example Endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/contract/list

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
Seller ID
Unique seller code issued by Coupang
e.g. A00012345

Request Example

not require body

Response Message

Name Type Description
code Number
Server response code
message String
Server response message
httpStatus Number
HTTP Status Code (Same value with server response code)
httpStatusMessage String
HTTP Status Message (Same value with server response message)
errorMessage String
This will contain detailed server failure reason message in all status except for HTTP Status 200
data Array
Contract list data
  success Boolean
Success or failure
True or false
  content Array
Contract list
    contractId Number
Seller's contract ID
e.g. 1, 2
    vendorContractId Number
Seller's contract code (for Coupang's management purpose)
e.g. -1, 1, 2
    sellerId String
Seller ID
e.g. A00012345
    sellerShareRatio Number
Seller [funding] rate on the contract(%)
e.g. 100
    coupangShareRatio Number
Coupang [funding] rate on the contract(%)
e.g. 100
    gmvRatio Number
Monthly sales rate and monthly budget which are automatically generated based on sales in Coupang.
e.g. 100.0
    start String
Start date and time
e.g. 2018-01-22 00:00:00
    end String
End date and time
e.g. 2018-12-31 23:59:59
    type String
Contract type
e.g. CONTRACT_BASED, NON_CONTRACT_BASED
    usedBudget Boolean
Whether to use budget restriction
e.g. true, false
The value is not in use anymore, and true is set as default
    modifiedAt String
Final modification date and time
e.g. 2017-09-25 11:40:01
    modifiedBy String
Final editor ID
  Pagination Array
Pagination
    countPerPage Number
Data count per page
e.g. 10, 20, 30
    currentPage Number
Current page
e.g. 1
    totalPages Number
Total page count
e.g. 1000
    totalElements Number
Total data count
e.g. 1000

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "contractId": 1,
        "vendorContractId": 2,
        "sellerId": "A00012345",
        "sellerShareRatio": 100,
        "coupangShareRatio": 0,
        "gmvRatio": 10,
        "start": "2017-03-01 00:00:00",
        "end": "2017-12-31 23:59:59",
        "type": "CONTRACT_BASED",
        "useBudget": true,
        "modifiedAt": "2017-09-21 10:57:07",
        "modifiedBy": "pronimance"
      },
      {
        "contractId": 15,
        "vendorContractId": -1,
        "sellerId": "A00013264",
        "sellerShareRatio": 100,
        "coupangShareRatio": 0,
        "gmvRatio": 0,
        "start": "2017-09-25 11:40:01",
        "end": "2999-12-31 23:59:59",
        "type": "NON_CONTRACT_BASED",
        "useBudget": true,
        "modifiedAt": "2017-09-25 11:40:01",
        "modifiedBy": "bcho"
      },
      {
        "contractId": 9962,
        "vendorContractId": 7,
        "sellerId": "A00012345",
        "sellerShareRatio": 100,
        "coupangShareRatio": 0,
        "gmvRatio": 100,
        "start": "2018-01-22 00:00:00",
        "end": "2018-12-31 23:59:59",
        "type": "CONTRACT_BASED",
        "useBudget": true,
        "modifiedAt": "2018-01-22 16:07:10",
        "modifiedBy": "allie"
      }
    ],
    "pagination": null
  }
}

Error Spec

HTTP status code (error type) Error message Solution
401 (check requested parameter) Please check on seller information permission Make sure proper vendorID was put in.